Mandriva Linux Security Advisory : bluez (MDVSA-2008:145)

High Nessus Plugin ID 37587


The remote Mandriva Linux host is missing one or more security updates.


An input validation flaw was found in the Bluetooth Session Description Protocol (SDP) packet parser used in the Bluez bluetooth utilities. A bluetooth device with an already-trusted relationship, or a local user registering a service record via a UNIX socket or D-Bus interface, could cause a crash and potentially execute arbitrary code with the privileges of the hcid daemon (CVE-2008-2374).

The updated packages have been patched to correct this issue.


Update the affected packages.

Plugin Details

Severity: High

ID: 37587

File Name: mandriva_MDVSA-2008-145.nasl

Version: $Revision: 1.11 $

Type: local

Published: 2009/04/23

Modified: 2015/03/30

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 7.5

Temporal Score: 6.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:ND/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:mandriva:linux:bluez-utils, p-cpe:/a:mandriva:linux:bluez-utils-alsa, p-cpe:/a:mandriva:linux:bluez-utils-cups, p-cpe:/a:mandriva:linux:bluez-utils-gstreamer, p-cpe:/a:mandriva:linux:lib64bluez-devel, p-cpe:/a:mandriva:linux:lib64bluez2, p-cpe:/a:mandriva:linux:lib64bluez2-devel, p-cpe:/a:mandriva:linux:libbluez-devel, p-cpe:/a:mandriva:linux:libbluez2, p-cpe:/a:mandriva:linux:libbluez2-devel, cpe:/o:mandriva:linux:2007.1, cpe:/o:mandriva:linux:2008.0, cpe:/o:mandriva:linux:2008.1

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/Mandrake/release, Host/Mandrake/rpm-list

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2008/07/14

Reference Information

CVE: CVE-2008-2374

BID: 30105

MDVSA: 2008:145

CWE: 20